Statistics
Get contract Energy consumption Data
Returns the contract’s Energy statistic data.
GET https://apilist.tronscanapi.com/api/energydailystatistic?limit=10&day=1680502490593Try this endpoint in your browser ↗ 🔗
Request
| Parameter | Description |
|---|---|
day | Current timestamp, accurate to milliseconds |
limit | Number of items. Default: 10. Max: 100 |
Get Energy consumption distribution
Returns the contract’s Energy consumption distribution in a period.
GET https://apilist.tronscanapi.com/api/energystatisticTry this endpoint in your browser ↗ 🔗
Request
| Parameter | Description |
|---|---|
start_timestamp | Start timestamp, accurate to milliseconds |
end_timestamp | End timestamp, accurate to milliseconds |
size | Number of items. Max: 1000 |
type | Statistic type. 0: by day. 1: by month. 2: by quarter |
Get top 10 statistic data
Returns top statistic data, including overview, accounts, tokens, contracts, and resources.
GET https://apilist.tronscanapi.com/api/top10?type=0&time=1Try this endpoint in your browser ↗ 🔗
Request
| Parameter | Description |
|---|---|
time | Time type. 0: realtime. 1: latest one hour. 2: recent 24 hours. 3: last week |
type | Statistic data type. Value range: 0–17.0: Overview1: Top accounts by total TRX sent2: Top accounts by TRX sending transactions3: Top accounts by total TRX received4: Top accounts by TRX receiving transactions5: Top accounts by frozen TRX6: Top accounts by votes7: Top tokens by holders8: Top tokens by transaction accounts9: Top tokens by total transaction count10: Top tokens by total transaction amount11: Top contracts by total TRX balance12: Top contracts by calling accounts13: Top contracts by number of calls14: Top accounts by Energy consumption15: Top accounts by Bandwidth consumption16: Top contracts by Energy consumption17: Top contracts by fee consumption |
Get contract called distribution
Returns the contract calling distribution of a specific day.
GET https://apilist.tronscanapi.com/api/triggeramountstatistic?limit=10&day=1680520472549Try this endpoint in your browser ↗ 🔗
Request
| Parameter | Description |
|---|---|
day | Data time, accurate to milliseconds |
limit | Number of items. Max: 100 |
Get TVC of Tokens
Returns the token’s total value on chain.
GET https://apilist.tronscanapi.com/api/tokenTvc?startTime=1586140919Try this endpoint in your browser ↗ 🔗
Request
| Parameter | Description |
|---|---|
startTime | Start time. Default: 7 days ago, accurate to seconds |
endTime | End time. Default: current time, accurate to seconds |
Get statistic data of contract called
Returns the statistic data of contract calling in a specific period.
GET https://apilist.tronscanapi.com/api/contract_caller_statistic?start_timestamp=1679961600000&end_timestamp=1680595504531Try this endpoint in your browser ↗ 🔗
Request
| Parameter | Description |
|---|---|
startTime | Start time. Default: 7 days ago, accurate to seconds |
endTime | End time. Default: current time, accurate to seconds |
Get contract triggered data in period
Returns the contract trigger data by day in a specific period.
GET https://apilist.tronscanapi.com/api/triggerstatisticTry this endpoint in your browser ↗ 🔗
Request
| Parameter | Description |
|---|---|
start_timestamp | Start timestamp, accurate to milliseconds |
end_timestamp | End timestamp, accurate to milliseconds |
limit | Max number of data. Default: 1000 |
Get new increased user by day
Returns the number of new users added every day.
GET https://apilist.tronscanapi.com/api/overview/dailyaccounts?days=5Try this endpoint in your browser ↗ 🔗
Request
| Parameter | Description |
|---|---|
days | Data time range. Default: 15. Max: 2000 |
Get TRX supply, marketcap & destroy amount data
Returns TRX related data, like the real-time supply, market cap, and burning data.
GET https://apilist.tronscanapi.com/api/fundsTry this endpoint in your browser ↗ 🔗
Request
No parameters required.
Get price source of TRX
Returns available sources of the TRX price.
GET https://apilist.tronscanapi.com/api/trx/volume/sourceListTry this endpoint in your browser ↗ 🔗
Request
No parameters required.
Get TRX turnover
Returns the statistic data of TRX, like supply, TRON protocol revenue, minting amount, and burning amount.
GET https://apilist.tronscanapi.com/api/turnover?from=issuance&start=1575129600000&end=1680753244454&type=0Try this endpoint in your browser ↗ 🔗
Request
| Parameter | Description |
|---|---|
size | Number of data count |
start | Start time, accurate to milliseconds |
end | End time, accurate to milliseconds |
type | Query type. 0: by day. 1: by month. 2: by quarter. 3: by block |
Get records of TRX’s price, volume & marketcap
Returns the historical TRX data, such as the price, volume, and market cap.
GET https://apilist.tronscanapi.com/api/trx/volume?start_timestamp=1507564800000&limit=2004&end_timestamp=1680765305898&source=coinmarketcapTry this endpoint in your browser ↗ 🔗
Request
| Parameter | Description |
|---|---|
limit | Number of data count |
start_timestamp | Start time, accurate to milliseconds |
end_timestamp | End time, accurate to milliseconds |
start | Start index |
source | Data source. Default: coinmarketcap |
Get accounts with holding TRX
Returns the number of accounts that hold TRX, sorted by time in ascending order.
GET https://apilist.tronscanapi.com/api/overview/acountswithtrx?days=1000Try this endpoint in your browser ↗ 🔗
Request
| Parameter | Description |
|---|---|
days | Number of query days |
Get number of contract calls for a period, including maximum and minimum values
Returns the number of contract calls for a certain period of days, including the maximum and minimum values.
GET https://apilist.tronscanapi.com/api/calleraddressstatistic?start_timestamp=1680393600000&end_timestamp=1680652800000&limit=4Try this endpoint in your browser ↗ 🔗
Request
| Parameter | Description |
|---|---|
start_timestamp | Start time, accurate to milliseconds |
end_timestamp | End time, accurate to milliseconds |
limit | Number of results returned. Max: 3000 |
Get TRX Staking Rate Data
Returns the TRX staking rate.
GET https://apilist.tronscanapi.com/api/freezeresource?start_day=2023-04-01&end_day=2023-04-06Try this endpoint in your browser ↗ 🔗
Request
| Parameter | Description |
|---|---|
start_day | Start time. Format: yyyy-MM-dd |
end_day | End time. Format: yyyy-MM-dd |
Get Average block size data
Returns the average block size per day, sorted by time in ascending order.
GET https://apilist.tronscanapi.com/api/overview/dailyavgblockSize?days=10Try this endpoint in your browser ↗ 🔗
Request
| Parameter | Description |
|---|---|
days | Number of query days. Default: 15 |
Get cost of Energy and Bandwidth data
Returns the cost of resources such as Energy and Bandwidth.
GET https://apilist.tronscanapi.com/api/acquisition_cost_statistic?limit=10Try this endpoint in your browser ↗ 🔗
Request
| Parameter | Description |
|---|---|
start_timestamp | Start time, accurate to milliseconds |
end_timestamp | End time, accurate to milliseconds |
limit | Number of data returned. Default: 14. Max: 3000 |
Get transfer amount of core tokens
Returns the transfer amount of core tokens.
GET https://apilist.tronscanapi.com/api/tokenTransfer/analysis?token=&days=10Try this endpoint in your browser ↗ 🔗
Request
| Parameter | Description |
|---|---|
token | Token ID or address. Set to _ for TRX. Can be empty |
days | Number of query days |
Get transaction trend data
Returns transaction trend data, sorted by time in ascending order.
GET https://apilist.tronscanapi.com/api/overview/dailytransactionnum?type=0&days=10Try this endpoint in your browser ↗ 🔗
Request
| Parameter | Description |
|---|---|
type | Query type. 0: by day. 1: by week. 2: by month. 3: by quarter |
days | Number of query days. Default: 15 |
Get active accounts statistic data
Returns active account data per day.
GET https://apilist.tronscanapi.com/api/account/active_statistic?type=day&start_timestamp=1680480000000Try this endpoint in your browser ↗ 🔗
Request
| Parameter | Description |
|---|---|
type | Query type. Values: DAY, WEEK, or MONTH |
start_timestamp | Start time, accurate to milliseconds |
Get cumulative transactions data
Returns cumulative transactions per day, sorted by time.
GET https://apilist.tronscanapi.com/api/overview/transactionnum?days=20Try this endpoint in your browser ↗ 🔗
Request
| Parameter | Description |
|---|---|
days | Number of query days. Default: 15. Max: 2000 |
Get Bandwidth consumption
Returns Bandwidth consumption per day.
GET https://apilist.tronscanapi.com/api/netstatistic?start_timestamp=1680307200000&end_timestamp=1680739200000&type=dayTry this endpoint in your browser ↗ 🔗
Request
| Parameter | Description |
|---|---|
start_timestamp | Start time, accurate to milliseconds |
end_timestamp | End time, accurate to milliseconds |
type | Statistic type. Values: day, month, or quarter |
limit | Max data count |
Get DeFi TVL data
Returns statistic data of DeFi TVL per day.
GET https://apilist.tronscanapi.com/api/defiTvl?type=tvlline&startTime=1680660000&endTime=1680681600&project=Try this endpoint in your browser ↗ 🔗
Request
| Parameter | Description |
|---|---|
type | If set to tvlline, the result includes tvlline data. Default value omits tvlline data |
startTime | Start time, accurate to seconds. Default: 7 days ago |
endTime | End time, accurate to seconds. Default: current time |
project | TVL data for specific projects: SUN, JustLend, JustStable, JustCryptos, or JustSwap. Default: all projects |
Get cumulative block size (on-chain size)
Returns the cumulative block size (on-chain size), sorted by time in ascending order.
GET https://apilist.tronscanapi.com/api/overview/totalblockchainsize?days=10Try this endpoint in your browser ↗ 🔗
Request
| Parameter | Description |
|---|---|
days | Number of query days. Default: 15 |
Get token transaction data
Returns analysis data of token transactions, such as transfers and holders.
GET https://apilist.tronscanapi.com/api/token/analysis?token=TPYmHEhy5n8TCEfYGqW2rPxsghSfzghPDn&start_day=2023-03-04&end_day=2023-04-06Try this endpoint in your browser ↗ 🔗
Request
| Parameter | Description |
|---|---|
token | Token address |
start_day | Start day. Format: yyyy-MM-dd |
end_day | End day. Format: yyyy-MM-dd |
type | Optional. Default: token transfer data. 1: token holder data |
Get statistics data of TRON
Returns statistic data of TRON per day, such as transfers, accounts, resources, and tokens.
GET https://apilist.tronscanapi.com/api/stats/overview?days=10Try this endpoint in your browser ↗ 🔗
Request
| Parameter | Description |
|---|---|
days | Number of query days. Default: 15 |